<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: ExpansionTerritorySettingsBase Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.12</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d2/dce/a03389.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">ExpansionTerritorySettingsBase Class Reference</div></div>
</div><!--header-->
<div class="contents">

<p>Territory settings base class.  
 <a href="../../d2/dce/a03389.html#details">More...</a></p>
<div class="dynheader">
Inheritance diagram for ExpansionTerritorySettingsBase:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../d2/dce/a03389.png" usemap="#ExpansionTerritorySettingsBase_map" alt=""/>
  <map id="ExpansionTerritorySettingsBase_map" name="ExpansionTerritorySettingsBase_map">
<area href="../../d5/df8/a04353.html" alt="ExpansionSettingBase" shape="rect" coords="0,0,191,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:aedf640cba106c100f32af8a7465cc366"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/dce/a03389.html#aedf640cba106c100f32af8a7465cc366">EnableTerritories</a></td></tr>
<tr class="separator:aedf640cba106c100f32af8a7465cc366"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3df8acabbb2fb60f4310af013ec90805"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/dce/a03389.html#a3df8acabbb2fb60f4310af013ec90805">UseWholeMapForInviteList</a></td></tr>
<tr class="memdesc:a3df8acabbb2fb60f4310af013ec90805"><td class="mdescLeft">&#160;</td><td class="mdescRight">If enabled, use the expansion territory system.  <a href="../../d2/dce/a03389.html#a3df8acabbb2fb60f4310af013ec90805">More...</a><br /></td></tr>
<tr class="separator:a3df8acabbb2fb60f4310af013ec90805"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8b195554e785fd14f42bce0694a2b5a6"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/dce/a03389.html#a8b195554e785fd14f42bce0694a2b5a6">TerritorySize</a></td></tr>
<tr class="memdesc:a8b195554e785fd14f42bce0694a2b5a6"><td class="mdescLeft">&#160;</td><td class="mdescRight">Use it if you want whole map available in invite list, instead only nearby players.  <a href="../../d2/dce/a03389.html#a8b195554e785fd14f42bce0694a2b5a6">More...</a><br /></td></tr>
<tr class="separator:a8b195554e785fd14f42bce0694a2b5a6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8654d0d5a0b9fd4345e32ec3b98cf191"><td class="memItemLeft" align="right" valign="top">float TerritoryPerimeterSize int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/dce/a03389.html#a8654d0d5a0b9fd4345e32ec3b98cf191">MaxMembersInTerritory</a></td></tr>
<tr class="memdesc:a8654d0d5a0b9fd4345e32ec3b98cf191"><td class="mdescLeft">&#160;</td><td class="mdescRight">The radius of a territory in meters.  <a href="../../d2/dce/a03389.html#a8654d0d5a0b9fd4345e32ec3b98cf191">More...</a><br /></td></tr>
<tr class="separator:a8654d0d5a0b9fd4345e32ec3b98cf191"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a24112f5cd29ccaf77f2fc83fcb489fdd"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/dce/a03389.html#a24112f5cd29ccaf77f2fc83fcb489fdd">MaxTerritoryPerPlayer</a></td></tr>
<tr class="memdesc:a24112f5cd29ccaf77f2fc83fcb489fdd"><td class="mdescLeft">&#160;</td><td class="mdescRight">If &lt;= 0, unlimited territory size.  <a href="../../d2/dce/a03389.html#a24112f5cd29ccaf77f2fc83fcb489fdd">More...</a><br /></td></tr>
<tr class="separator:a24112f5cd29ccaf77f2fc83fcb489fdd"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p >Territory settings base class. </p>
<p ><a class="el" href="../../dd/d32/a00041.html">ExpansionTerritorySettings.c</a></p>
<p >DayZ Expansion Mod www.dayzexpansion.com © 2022 DayZ Expansion Mod Team</p>
<p >This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License. To view a copy of this license, visit <a href="http://creativecommons.org/licenses/by-nc-nd/4.0/">http://creativecommons.org/licenses/by-nc-nd/4.0/</a>. </p>

<p class="definition">Definition at line <a class="el" href="../../dd/d32/a00041_source.html#l00016">16</a> of file <a class="el" href="../../dd/d32/a00041_source.html">expansionterritorysettings.c</a>.</p>
</div><h2 class="groupheader">Field Documentation</h2>
<a id="aedf640cba106c100f32af8a7465cc366" name="aedf640cba106c100f32af8a7465cc366"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aedf640cba106c100f32af8a7465cc366">&#9670;&#160;</a></span>EnableTerritories</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool ExpansionTerritorySettingsBase::EnableTerritories</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/d32/a00041_source.html#l00018">18</a> of file <a class="el" href="../../dd/d32/a00041_source.html">expansionterritorysettings.c</a>.</p>

</div>
</div>
<a id="a8654d0d5a0b9fd4345e32ec3b98cf191" name="a8654d0d5a0b9fd4345e32ec3b98cf191"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8654d0d5a0b9fd4345e32ec3b98cf191">&#9670;&#160;</a></span>MaxMembersInTerritory</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">float TerritoryPerimeterSize int ExpansionTerritorySettingsBase::MaxMembersInTerritory</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>The radius of a territory in meters. </p>
<p >The radius who prevent territories to overlap </p>

<p class="definition">Definition at line <a class="el" href="../../dd/d32/a00041_source.html#l00022">22</a> of file <a class="el" href="../../dd/d32/a00041_source.html">expansionterritorysettings.c</a>.</p>

</div>
</div>
<a id="a24112f5cd29ccaf77f2fc83fcb489fdd" name="a24112f5cd29ccaf77f2fc83fcb489fdd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a24112f5cd29ccaf77f2fc83fcb489fdd">&#9670;&#160;</a></span>MaxTerritoryPerPlayer</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int ExpansionTerritorySettingsBase::MaxTerritoryPerPlayer</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>If &lt;= 0, unlimited territory size. </p>

<p class="definition">Definition at line <a class="el" href="../../dd/d32/a00041_source.html#l00023">23</a> of file <a class="el" href="../../dd/d32/a00041_source.html">expansionterritorysettings.c</a>.</p>

</div>
</div>
<a id="a8b195554e785fd14f42bce0694a2b5a6" name="a8b195554e785fd14f42bce0694a2b5a6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8b195554e785fd14f42bce0694a2b5a6">&#9670;&#160;</a></span>TerritorySize</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">float ExpansionTerritorySettingsBase::TerritorySize</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Use it if you want whole map available in invite list, instead only nearby players. </p>

<p class="definition">Definition at line <a class="el" href="../../dd/d32/a00041_source.html#l00020">20</a> of file <a class="el" href="../../dd/d32/a00041_source.html">expansionterritorysettings.c</a>.</p>

</div>
</div>
<a id="a3df8acabbb2fb60f4310af013ec90805" name="a3df8acabbb2fb60f4310af013ec90805"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3df8acabbb2fb60f4310af013ec90805">&#9670;&#160;</a></span>UseWholeMapForInviteList</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool ExpansionTerritorySettingsBase::UseWholeMapForInviteList</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>If enabled, use the expansion territory system. </p>

<p class="definition">Definition at line <a class="el" href="../../dd/d32/a00041_source.html#l00019">19</a> of file <a class="el" href="../../dd/d32/a00041_source.html">expansionterritorysettings.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>DayzExpansion/BaseBuilding/Scripts/3_game/dayzexpansion_basebuilding/settings/territory/<a class="el" href="../../dd/d32/a00041_source.html">expansionterritorysettings.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d2/dce/a03389.html">ExpansionTerritorySettingsBase</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
